%define lib_name	re
%define major		0
%define libname		%mklibname %{lib_name} %{major}
%define libnamedev	%mklibname %{lib_name} -d


Summary: 	Generic library for real-time communications with async IO support
Name: 		libre
Version: 	1.1.0
Release: 	%mkrel 1
License: 	BSD
Group: 		System/Libraries
URL: 		https://github.com/baresip/re
Source0: 	https://github.com/baresip/re/archive/v%{version}/re-%{version}.tar.gz
Patch1:		re-no-static-build.patch
BuildRequires:	pkgconfig(openssl)

%description
Generic library for real-time communications with async IO support

%package -n	%{libname}
Summary:	Generic library for real-time communications with async IO support
Group:		System/Libraries

%description -n	%{libname}
Generic library for real-time communications with async IO support

%package -n	%{libnamedev}
Summary:	libre development files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libnamedev}
libre development files.

%prep
%setup -qn %{lib_name}-%{version}
%autopatch -p1

%build
export EXTRA_CFLAGS="%{optflags}"
export EXTRA_LFLAGS="%{ldflags}"
export SH_LFLAGS="-Wl,-soname,libre.so.%{major}"

%make_build LIBDIR=%{_libdir} LIB_SUFFIX=.so.%{major}

%install
%make_install LIBDIR=%{_libdir} LIB_SUFFIX=.so.%{major}

ln -s libre.so.%{major} %{buildroot}%{_libdir}/libre.so

%files -n %{libname}
%{_libdir}/libre.so.%{major}

%files -n %{libnamedev}
%{_libdir}/pkgconfig/libre.pc
%{_includedir}/re/
%{_datadir}/re/
%{_libdir}/libre.so


%changelog
* Thu Nov 05 2020 daviddavid <daviddavid> 1.1.0-1.mga8
+ Revision: 1642754
- new version: 1.1.0

* Sat Oct 03 2020 wally <wally> 1.0.0-1.mga8
+ Revision: 1631993
- switch to baresip fork
- new version 1.0.0

* Fri Feb 14 2020 umeabot <umeabot> 0.6.0-2.mga8
+ Revision: 1520766
- Mageia 8 Mass Rebuild

* Sat Dec 08 2018 wally <wally> 0.6.0-1.mga7
+ Revision: 1338963
- new version 0.6.0

* Wed Oct 10 2018 wally <wally> 0.5.9-1.mga7
+ Revision: 1319342
- new version 0.5.9

* Sun Sep 23 2018 umeabot <umeabot> 0.5.8-2.mga7
+ Revision: 1299122
- Mageia 7 Mass Rebuild

* Sun Aug 19 2018 daviddavid <daviddavid> 0.5.8-1.mga7
+ Revision: 1252767
- new version: 0.5.8

* Fri Feb 02 2018 guillomovitch <guillomovitch> 0.5.7-1.mga7
+ Revision: 1198609
- new version 0.5.7

* Wed Oct 25 2017 wally <wally> 0.5.5-6.mga7
+ Revision: 1173736
- build with openssl

* Wed Oct 25 2017 wally <wally> 0.5.5-5.mga7
+ Revision: 1173724
- use our build time flags
- add SONAME to lib

* Wed Oct 25 2017 dlucio <dlucio> 0.5.5-4.mga7
+ Revision: 1173560
- P0 to fix pkgconfig
- lets use new make macros

* Wed Oct 25 2017 dlucio <dlucio> 0.5.5-2.mga7
+ Revision: 1173547
- fix description
- fix broken symlink

* Tue Oct 24 2017 dlucio <dlucio> 0.5.5-1.mga7
+ Revision: 1173535
- imported package libre


* Fri Nov 5 2010 Alfred E. Heggestad <aeh@db.org> -
- Initial build.

